Bug 73511

Summary: Internals should have a method to return the max sequence number of spellcheck request.
Product: WebKit Reporter: Shinya Kawanaka <shinyak>
Component: HTML EditingAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: dglazkov, dominicc, gns, morrita, shinyak, webkit.review.bot, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 72942    
Attachments:
Description Flags
Test Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch none

Description Shinya Kawanaka 2011-11-30 18:53:22 PST
This is required to create a test for:
https://bugs.webkit.org/show_bug.cgi?id=72942
Comment 1 Shinya Kawanaka 2011-11-30 21:52:39 PST
Created attachment 117333 [details]
Test Patch
Comment 2 Early Warning System Bot 2011-11-30 21:56:21 PST
Comment on attachment 117333 [details]
Test Patch

Attachment 117333 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/10689172
Comment 3 WebKit Review Bot 2011-12-01 01:11:43 PST
Comment on attachment 117333 [details]
Test Patch

Attachment 117333 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10697538
Comment 4 Gustavo Noronha (kov) 2011-12-01 14:07:17 PST
Comment on attachment 117333 [details]
Test Patch

Attachment 117333 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/10709739
Comment 5 Shinya Kawanaka 2011-12-01 22:37:24 PST
Created attachment 117570 [details]
Patch
Comment 6 WebKit Review Bot 2011-12-01 22:54:50 PST
Comment on attachment 117570 [details]
Patch

Attachment 117570 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10725239
Comment 7 Shinya Kawanaka 2011-12-06 01:09:22 PST
Created attachment 118005 [details]
Patch
Comment 8 Hajime Morrita 2011-12-06 03:58:08 PST
Comment on attachment 118005 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=118005&action=review

Basically looks nice. I pointed some nits.

> Source/WebCore/testing/Internals.cpp:624
> +    if (!document || !document->frame() || !document->frame()->editor() || !document->frame()->editor()->spellChecker()) {

Could you add a getter for spellchecker like Internals::spellchecker()?

> LayoutTests/ChangeLog:8
> +        Tests to check internals.lastSpellCheckRequestSequence and internals.lastSpellCheckProcessedSequence.

"Added tests"?

> LayoutTests/ChangeLog:12
> +

I guess we need to skip on some ports. You will know which ports do ;-)

> LayoutTests/editing/spelling/spellcheck-sequencenum.html:111
> +            testPassed("SpellCheck sequence seems work correctly.");

"seems working"?
Comment 9 Shinya Kawanaka 2011-12-06 17:54:01 PST
Created attachment 118151 [details]
Patch
Comment 10 Shinya Kawanaka 2011-12-06 18:16:51 PST
Created attachment 118155 [details]
Patch
Comment 11 Dominic Cooney 2011-12-06 18:17:49 PST
Please remember to update <http://trac.webkit.org/wiki/Writing%20Layout%20Tests%20for%20DumpRenderTree> when this lands to document the API you are adding to window.internals.
Comment 12 WebKit Review Bot 2011-12-06 20:08:02 PST
Comment on attachment 118155 [details]
Patch

Attachment 118155 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10747018
Comment 13 Shinya Kawanaka 2011-12-07 03:04:48 PST
Created attachment 118197 [details]
Patch
Comment 14 WebKit Review Bot 2011-12-07 04:34:19 PST
Comment on attachment 118197 [details]
Patch

Clearing flags on attachment: 118197

Committed r102231: <http://trac.webkit.org/changeset/102231>
Comment 15 WebKit Review Bot 2011-12-07 04:34:24 PST
All reviewed patches have been landed.  Closing bug.